#############################################################
#
# ntpd
#
#############################################################
NTP_DIR:=$(BUILD_DIR)/ntp-4.1.2
NTPD_BINARY:=ntpd/ntpd
NTPD_TARGET_BINARY:=usr/bin/ntpd


ntpd-source: ntp-source

$(NTP_DIR)/$(NTPD_BINARY): $(NTP_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(NTP_DIR)

$(TARGET_DIR)/$(NTPD_TARGET_BINARY): $(NTP_DIR)/$(NTPD_BINARY)
	install -m 755 $(NTP_DIR)/$(NTPD_BINARY) $(TARGET_DIR)/$(NTPD_TARGET_BINARY)
	$(STRIP) --strip-unneeded $(TARGET_DIR)/$(NTPD_TARGET_BINARY)

# Note : we can't use ntpd without doing ntpdate at init time (I could
# not make the -g option work). So, let's just depend on it. Jean II
ntpd: uclibc ntp $(TARGET_DIR)/$(NTPD_TARGET_BINARY)

ntpd-clean: ntp-clean

ntpd-dirclean: ntp-dirclean

